Type to search.

Get an enrich policy

  • GET /_enrich/policy/{name}
  • GET /_enrich/policy
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.5 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Returns information about an enrich policy.

Required privileges

Cluster privileges monitor_enrich manage_enrich

Path parameters

name union string | string[] optional

Comma-separated list of enrich policy names used to limit the request. To return information for all enrich policies, omit this parameter.

Leave it out to use /_enrich/policy.

Query parameters

master_timeout union oneOf · default: 30s

Period to wait for a connection to the master node.

Values: -1 0

Response

application/json
policies object[] required
config map string to object · min properties: 1 · max properties: 1 required
<string> object
enrich_fields union oneOf required
One of: string[] or string
indices union oneOf required
One of: string[] or string
match_field string required
query {} Query
name string
elasticsearch_version string